%-------------------------------
% Simulate glycolysis regulation
%-------------------------------
% Fill in the dotted lines
%--------------------------------
% Set parameters
gamma = ...;
v = ...;
alfa = ...;
eta = ...;
%-------------------------------
% Define the intial conditions
sigma_init = [...];
%-------------------------------
% Create a function handle to the system dynamics
f = @(t,x) ...;
dSigmadt = @(t,x) ...;

%-------------------------------
% Run the simulation
[t,y] = ode45(....
%-------------------------------
% Create plots
%-------------------------------
figure
subplot(1,3,1)
plot(t,y)
title('Oscillations of ATP and ADP')
legend('ATP','ADP','Location','NorthWest')
xlabel('Time [-]')
ylabel('Concentration [-]')
subplot(1,3,2)
plot(y(:,1),y(:,2))
title('Limit Cycle')
xlabel('ATP concentration [-]')
ylabel('ADP concentration [-]')
subplot(1,3,3)
plot(t,y(:,1)./y(:,2))
title('ATP-to-ADP ratio')
ylabel('Ratio [-]')
xlabel('Time [-]')
